{{- if .Values.keyEventsProducer.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: key-events-producer
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: key-events-producer
  replicas: 1
  template:
    metadata:
      labels:
        app: key-events-producer
    spec:
      containers:
      - name: key-events-producer
        image: {{ .Values.keyEventsProducer.image }}
        imagePullPolicy: Always
        env:
        {{- range $key, $value := .Values.keyEventsProducer.env }}
        - name: {{ $key }}
          value: {{ $value | quote }}
        {{- end }}
{{- end }}
